Diode-Bot
@Diode-Bot

Чем вызвана ошибка «CPasswordHelper requires the Blowfish option of the PHP crypt() function. This system does not have it»?

Начал выполнять туториал по созданию блога на Yii с оф. сайта. Дошел до авторизации пользователя. Прописал все, что нужно, несколько раз перепроверил, создал в базе запись пользователя, но при авторизации появляется ошибка
CPasswordHelper requires the Blowfish option of the PHP crypt() function. This system does not have it.

Что это за ошибка и чем она вызвана?
  • Вопрос задан
  • 3326 просмотров
Решения вопроса 2
CrazyUnborn
@CrazyUnborn
Ведущий разработчик PHP
Посмотри на версию PHP.
Возможно тебе надо поставить PHP 5.3? =)
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы